Package wx :: Package lib :: Package mixins :: Module listctrl

[frames | no frames]

## Module wx.lib.mixins.listctrl

Classes
`CheckListCtrlMixin` | This is a mixin for ListCtrl which add a checkbox in the first column of each row.
`ColumnSorterMixin` | A mixin class that handles sorting of a wx.ListCtrl in REPORT mode when the column header is clicked on.
`ListCtrlAutoWidthMixin` | A mix-in class that automatically resizes the last column to take up the remaining width of the wx.ListCtrl.
`ListCtrlSelectionManagerMix` | Mixin that defines a platform independent selection policy
`TextEditMixin` | A mixin class that enables any text in any column of a multi-column listctrl to be edited by clicking on the given row and column.

Function Summary
| `getCheckBitmap()`
| `getCheckData()`
| `getCheckImage()`
| ``getListCtrlSelection`(listctrl, state)` Returns list of item indexes of given state (selected by defaults)
| `getUncheckBitmap()`
| `getUncheckData()`
| `getUncheckImage()`
| ``selectBeforePopup`(event)` Ensures the item the mouse is pointing at is selected before a popup.

Function Details

### getListCtrlSelection(listctrl, state=4)

Returns list of item indexes of given state (selected by defaults)

### selectBeforePopup(event)

Ensures the item the mouse is pointing at is selected before a popup.

Works with both single-select and multi-select lists.

Generated by Epydoc 2.1.20050511.rpd on Wed Sep 26 13:49:03 2007 | http://epydoc.sf.net